@charset "utf-8";

.loading { display: none;}

/*필터*/
.filters {
    display: flex;
    padding: 0px 10px;
}

.filters li {
    display: inline-block;
    width: 33.33%;
}

.filters li:hover {
    color: royalblue;
    font-weight: bold;
}

.filters li span {
    display: flex;
    justify-content: center;
    padding: 10px 0px;
    cursor: pointer;
}

.filters li span.active {
    background-color: royalblue;
    color: white;
}

/*잠시 영역 채우기*/

.stopover {
    padding: 230px;
}

/*앨범*/
.portfoliolist {
    width: 100%;
    overflow: hidden;
    padding-bottom: 50px;
}

.portfolio {
    width: 100%;
    float: left;
    display: none;
    overflow: hidden;
    padding: 15px 7.5px 0px;
}

.portfolio a {
    width: 100%;
    height: 200px;
    
    display: flex;
    justify-content: center;
    overflow: hidden;
    
    position: relative;
    left: 0;
    top: 0;
}

.portfolio h2 {
    background-color: rgba(0, 0, 0, 0.4);
    width: 100%;
    height: 100%;
    
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;        
    
    color: white;
    text-shadow: 1px 1px 10px black;
    font-size: 1.5rem;
    font-weight: bold;
    
    opacity: 1;
    transition: 0.3s ease-in-out;
    
}

.portfolio a:hover h2{
    opacity: 1;
}

.portfolio img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: 0.4s ease-in-out;
}

.portfolio a:hover img {
    width: 150%;
}

/*Tablet*/
@media screen and (min-width: 767px ) {
    .portfoliolist .portfolio {
        width: 50%;
    }
    .portfolio a {
        height: 250px;
    }
}



/*PC*/
@media screen and (min-width: 1024px) {
   
    .filters {
        padding: 0;
    }
    
    .portfoliolist {
        margin-bottom: 50px;
    }    
    
    .portfoliolist .portfolio {
        width: 25%;
    }

    .portfolio h2 {
        opacity: 0;
    }

    .portfolio a {
        height: 200px;
    }
/*
    .modal-inner {
        width: 50%;
    } 
*/
}


/*
320 500 180

500 900 400

900 1500 600

1500 100%

넷북 노트북 아이패드 프로

1100=900
1500=1500
*/







